package space.kklochko.jdbc_hospital_example.config.env;

import io.github.cdimascio.dotenv.Dotenv;
import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;

import java.util.Properties;

@Setter
@Getter
public class DataBaseEnvConfig {
    public String url;
    public Properties properties;

    public void load(@NonNull String dir, @NonNull String filename) {
        Dotenv dotenv = Dotenv
                .configure()
                .directory(dir)
                .filename(filename)
                .load();

        setUrl(dotenv.get("JDBC_URL"));

        Properties properties = new Properties();
        properties.put("user", dotenv.get("JDBC_USER"));
        properties.put("password", dotenv.get("JDBC_PASSWORD"));

        setProperties(properties);
    }

    public DataBaseEnvConfig() {
        load("config", "db");
    }

    public DataBaseEnvConfig(@NonNull String filename) {
        load("config", filename);
    }

    public DataBaseEnvConfig(@NonNull String dir, @NonNull String filename) {
        load(dir, filename);
    }
}
